{******************************************

  MsgDlg v1.0

  Copyright  1999 Yunus Hi-Tec Labs
  All rights reserved.

  Author: Yunus Morkramer

  The MsgDlg component allowes you to show
  message dialogs very easily. The function
  "execute" show the current message.

  This Delphi component is free. You
  are allowed to use it without any
  qualifications.

  For questions, improvements etc. send
  us an email: info@hi-tec-labs.de

  Visit our Homepage for more components:
  www.hi-tec-labs.de

*******************************************}

unit MsgDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TMsgDlg = class(TComponent)
  private
    DlgText : string;
    DlgType : TMsgDlgType;
    DlgBtns : TMsgDlgButtons;
    DlgHelpCtx : Longint;
  protected
    { Protected-Deklarationen }
  public
    constructor Create (AOwner: TComponent); override;
    function Execute : Word;
  published
    property MsgText : string read DlgText write DlgText;
    property MsgType : TMsgDlgType read DlgType write DlgType;
    property MsgButtons : TMsgDlgButtons read DlgBtns write DlgBtns;
    property MsgHelpContext : Longint read DlgHelpCtx write DlgHelpCtx;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Additional', [TMsgDlg]);
end;

constructor TMsgDlg.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  DlgBtns := [mbOK];
  DlgType := mtInformation;
end;

function TMsgDlg.Execute: Word;
begin
  Result := MessageDlg(DlgText,DlgType,DlgBtns,DlgHelpCtx);
end;

end.
 